Doc: Clarify supported helm versions (2.x only at this time)

Update documentation to clarify that the only support version of Helm is `v2.x`

[ci skip]